/*
 *  This file is part of SST/macroscale:
 *               The macroscale architecture simulator from the SST suite.
 *  Copyright (c) 2009 Sandia Corporation.
 *  This software is distributed under the BSD License.
 *  Under the terms of Contract DE-AC04-94AL85000 with Sandia Corporation,
 *  the U.S. Government retains certain rights in this software.
 *  For more information, see the LICENSE file in the top
 *  SST/macroscale directory.
 */

#include <sstmac/software/services/launch/launcher.h>

namespace sstmac
{
  namespace sw
  {

    debug launcher::dbg_;

    vis::vis_topology::vismaptype launcher::vismap_;
    vis::vis_display::ptr launcher::vis_;

    void
    launcher::init(std::list<launchinfo::ptr> &tolaunch, allocationstrategy::ptr &a, indexstrategy::ptr &ind)
    {
      alloc_ = a;
      indexing_ = ind;
      tolaunch_ = tolaunch;

    }
    }
  }
